Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.helpers
Class NamingContextException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.soa.esb.helpers.NamingContextException

All Implemented Interfaces:
  java.io.Serializable

    public class NamingContextException

extends java.lang.Exception

Exception used for Naming Connection Pool errors.

See Also:
  Serialized Form

Constructor Summary
`NamingContextException()` Create a naming context exception.
`NamingContextException(java.lang.String message)` Create a naming context exception with the specified message.
`NamingContextException(java.lang.String message, java.lang.Throwable cause)` Create a naming context exception with the specified message and cause.
`NamingContextException(java.lang.Throwable cause)` Create a naming context exception with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NamingContextException

    public NamingContextException()

  Create a naming context exception.

### NamingContextException

    public NamingContextException(java.lang.String message)

  Create a naming context exception with the specified message.

  Parameters:
    `message` - The message associated with the exception.

### NamingContextException

    public NamingContextException(java.lang.Throwable cause)

  Create a naming context exception with the specified cause.

  Parameters:
    `cause` - The cause associated with the exception.

### NamingContextException

    public NamingContextException(java.lang.String message,
                                  java.lang.Throwable cause)

  Create a naming context exception with the specified message and cause.

  Parameters:
    `message` - The message associated with the exception.
    `cause` - The cause associated with the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD